#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x672144bd, "strlcpy" },
	{ 0x842ba96e, "usb_string" },
	{ 0xa4aa9d12, "usb_alloc_coherent" },
	{ 0x3d8d18a2, "usb_control_msg" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0xb54533f7, "usecs_to_jiffies" },
	{ 0x6d8c8c95, "current_task" },
	{ 0x9c17951e, "kmem_cache_alloc_trace" },
	{ 0x683c02bc, "malloc_sizes" },
	{ 0x1d2e87c6, "do_gettimeofday" },
	{ 0x236c8c64, "memcpy" },
	{ 0x62dc427a, "usb_alloc_urb" },
	{ 0x27e1a049, "printk" },
	{ 0x824d52f1, "usb_register_driver" },
	{ 0x6ed0eeda, "usb_unlink_urb" },
	{ 0x9f6daaff, "ir_raw_event_store" },
	{ 0x67fde12d, "ir_raw_event_store_with_filter" },
	{ 0x6c506bb8, "ir_raw_event_handle" },
	{ 0x238296d3, "rc_free_device" },
	{ 0x9d4217af, "dev_err" },
	{ 0xc4aed24, "rc_register_device" },
	{ 0x9edbecae, "snprintf" },
	{ 0x5fc2f726, "rc_allocate_device" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x232553ca, "usb_free_coherent" },
	{ 0x3e892d3e, "usb_free_urb" },
	{ 0xd29405c2, "rc_unregister_device" },
	{ 0xde16a8d8, "dev_set_drvdata" },
	{ 0x4f86f639, "usb_kill_urb" },
	{ 0xe9cd9dc3, "usb_submit_urb" },
	{ 0xf60432b, "_dev_info" },
	{ 0xccc7ca94, "dev_get_drvdata" },
	{ 0x6adaf305, "usb_deregister" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,rc-core";

MODULE_ALIAS("usb:v045Ep006Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p0608d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p060Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p060Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p060Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p0613d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p0815d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p206Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p2088d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p2093d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDAp0161d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0609p031Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0609p0322d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0609p0334d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0609p0338d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0609p0353d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1460p9150d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1308pC001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v051CpC001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v107Bp3009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EEp2501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1784p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1784p0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1784p0007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1784p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1784p000Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1784p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v179Dp0010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v195Dp7002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1509p9242d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v043Ep9803d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v045Ep00A0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE015d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE016d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE03Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE03Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v147ApE03Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1934p5168d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1934p0602d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1934p0702d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0225d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1019p0F38d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0FB8p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v185Bp3020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v185Bp3082d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04EBpE004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v105Ap2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "AF69D1F446DB36D3AF33790");
