#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0xfd6293c2, "boot_tvec_bases" },
	{ 0xc3fe87c8, "param_ops_uint" },
	{ 0x34e2e440, "ieee80211_scan_completed" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x7c655db7, "ieee80211_alloc_hw" },
	{ 0xb9dbda7, "usb_get_dev" },
	{ 0x9339554e, "led_trigger_register_simple" },
	{ 0x824d52f1, "usb_register_driver" },
	{ 0xe82919cf, "__mutex_init" },
	{ 0x1dea0334, "ieee80211_register_hw" },
	{ 0x9edbecae, "snprintf" },
	{ 0x62dc427a, "usb_alloc_urb" },
	{ 0xa9dc902, "ieee80211_rx_irqsafe" },
	{ 0xbcbe3f29, "skb_pull" },
	{ 0x6c662e33, "ieee80211_wake_queues" },
	{ 0x6322d214, "ieee80211_tx_status_irqsafe" },
	{ 0xa460abd9, "__dev_kfree_skb_any" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0xfaef0ed, "__tasklet_schedule" },
	{ 0x3187bc0c, "dev_alloc_skb" },
	{ 0xe9cd9dc3, "usb_submit_urb" },
	{ 0xf1652b7a, "skb_put" },
	{ 0x69a9901c, "skb_trim" },
	{ 0x76d6bd51, "skb_push" },
	{ 0x88bfa7e, "cancel_work_sync" },
	{ 0xc0af9a35, "ieee80211_queue_work" },
	{ 0x9d4217af, "dev_err" },
	{ 0xeb52f1b1, "ieee80211_queue_delayed_work" },
	{ 0x7eaea218, "ieee80211_stop_queues" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0x45704798, "print_hex_dump_bytes" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x32ca1047, "usb_reset_device" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0xc29957c3, "__x86_indirect_thunk_rcx" },
	{ 0x9c55cec, "schedule_timeout_interruptible" },
	{ 0x236c8c64, "memcpy" },
	{ 0x9c17951e, "kmem_cache_alloc_trace" },
	{ 0x683c02bc, "malloc_sizes" },
	{ 0x3d8d18a2, "usb_control_msg" },
	{ 0x515315dc, "request_firmware" },
	{ 0x91c3c7f2, "mutex_unlock" },
	{ 0xb3404629, "mutex_lock" },
	{ 0x8834396c, "mod_timer" },
	{ 0x7d11c268, "jiffies" },
	{ 0xfae2bfb0, "led_trigger_event" },
	{ 0x55ee178, "dev_printk" },
	{ 0xf60432b, "_dev_info" },
	{ 0xde16a8d8, "dev_set_drvdata" },
	{ 0xccc7ca94, "dev_get_drvdata" },
	{ 0x38d4b344, "ieee80211_unregister_hw" },
	{ 0x851e59af, "ieee80211_free_hw" },
	{ 0x4d5c20bd, "usb_put_dev" },
	{ 0xe8622347, "kfree_skb" },
	{ 0xd5f2172f, "del_timer_sync" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e892d3e, "usb_free_urb" },
	{ 0x4f86f639, "usb_kill_urb" },
	{ 0x82072614, "tasklet_kill" },
	{ 0x4371fdba, "led_trigger_unregister_simple" },
	{ 0x841ffa38, "release_firmware" },
	{ 0x6adaf305, "usb_deregister" },
	{ 0x27e1a049, "printk" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mac80211,usbcore";

MODULE_ALIAS("usb:v03EBp7603d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v066Bp2211d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0864p4100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B3Bp1612d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p011Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v069Ap0320d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D5CpA001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04A5p9000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05DDpFF31d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v8086p0200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D8Ep7100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D8Ep7110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0919d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v069Ap0821d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7604d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v055DpA000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7605d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v069Ap0321d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v077Bp2219d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v077Bp2227d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0864p4102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p7605d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp4102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p5743d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04A5p9001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p0A01d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p001Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp0050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2019p3220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v049Fp0032d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05DDpFF35d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v083Ap3501d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D5CpA002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7606d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7613d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p0014d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p0013d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1915p2233d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v12FDp1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp7613d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p1020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7614d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7617d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1690p0701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03EBp7615d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "3FFB6B2B366880381860346");
