#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0x19314597, "rt2x00mac_tx_frames_pending" },
	{ 0x9be1f5e4, "rt2x00mac_get_ringparam" },
	{ 0xff1f05f9, "rt2x00mac_get_antenna" },
	{ 0x4bf5f812, "rt2x00mac_set_antenna" },
	{ 0x9eaa6b43, "rt2x00mac_flush" },
	{ 0xe9c4c54c, "rt2x00mac_rfkill_poll" },
	{ 0x751fb4fc, "rt2x00mac_conf_tx" },
	{ 0xcbbed587, "rt2x00mac_get_stats" },
	{ 0x109bea3c, "rt2x00mac_sw_scan_complete" },
	{ 0x2d740141, "rt2x00mac_sw_scan_start" },
	{ 0x866e788b, "rt2x00mac_set_key" },
	{ 0xf69fc588, "rt2x00mac_set_tim" },
	{ 0xd5670609, "rt2x00mac_configure_filter" },
	{ 0xa1e7f3f1, "rt2x00mac_bss_info_changed" },
	{ 0xf3023534, "rt2x00mac_config" },
	{ 0xeeb74642, "rt2x00mac_remove_interface" },
	{ 0x589d94c4, "rt2x00mac_add_interface" },
	{ 0x80e0732f, "rt2x00mac_stop" },
	{ 0x7c636285, "rt2x00mac_start" },
	{ 0x225033f5, "rt2x00mac_tx" },
	{ 0x1a776f87, "rt2x00usb_flush_queue" },
	{ 0x93dd6000, "rt2x00usb_kick_queue" },
	{ 0x531c810, "rt2x00usb_watchdog" },
	{ 0x3ee20941, "rt2x00usb_clear_entry" },
	{ 0x84e3d534, "rt2x00usb_uninitialize" },
	{ 0xb3cde1e, "rt2x00usb_initialize" },
	{ 0x761fc459, "rt2x00usb_resume" },
	{ 0xc3bfe8fe, "rt2x00usb_suspend" },
	{ 0x6829b60d, "rt2x00usb_disconnect" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x824d52f1, "usb_register_driver" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x5f13755a, "rt2x00usb_disable_radio" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc32ddb0, "rt2x00usb_vendor_request" },
	{ 0x5d44540d, "consume_skb" },
	{ 0xe9cd9dc3, "usb_submit_urb" },
	{ 0x76d6bd51, "skb_push" },
	{ 0x69a9901c, "skb_trim" },
	{ 0x236c8c64, "memcpy" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x66b04d79, "rt2x00usb_vendor_request_buff" },
	{ 0x91c3c7f2, "mutex_unlock" },
	{ 0xb3404629, "mutex_lock" },
	{ 0x27e1a049, "printk" },
	{ 0xe623d28e, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc42c1a62, "rt2x00usb_probe" },
	{ 0x6adaf305, "usb_deregister" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "99EC34190756E32DB70C445");
