#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0x9132bed0, "no_llseek" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x824d52f1, "usb_register_driver" },
	{ 0x842ba96e, "usb_string" },
	{ 0x48e4129c, "usb_register_dev" },
	{ 0x62dc427a, "usb_alloc_urb" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0xe82919cf, "__mutex_init" },
	{ 0x9c17951e, "kmem_cache_alloc_trace" },
	{ 0x683c02bc, "malloc_sizes" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0xb3404629, "mutex_lock" },
	{ 0x4da0b3d8, "usb_deregister_dev" },
	{ 0xde16a8d8, "dev_set_drvdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e892d3e, "usb_free_urb" },
	{ 0xccc7ca94, "dev_get_drvdata" },
	{ 0xdf22a25, "usb_find_interface" },
	{ 0x6b521082, "nonseekable_open" },
	{ 0x71de9b3f, "_copy_to_user" },
	{ 0x78764f4e, "pv_irq_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xf333a2fb, "_raw_spin_lock_irq" },
	{ 0x27e1a049, "printk" },
	{ 0x3d8d18a2, "usb_control_msg" },
	{ 0x91c3c7f2, "mutex_unlock" },
	{ 0x77e2f33, "_copy_from_user" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x6d8c8c95, "current_task" },
	{ 0x771e05fc, "mutex_lock_interruptible" },
	{ 0x40fb5737, "dev_warn" },
	{ 0x9d4217af, "dev_err" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe9cd9dc3, "usb_submit_urb" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0x4f86f639, "usb_kill_urb" },
	{ 0xf60432b, "_dev_info" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x6adaf305, "usb_deregister" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v0F11p1000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1031d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1032d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1033d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1035d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1038d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1080d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1081d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1090d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p10A0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p10B0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1101d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p1210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2030d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2060d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2070d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2080d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p2090d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F11p20A0d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F7p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F7p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F7p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08F7p0006d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "5F7B0D44A23D28C0A798223");
