#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0xd054e69c, "usb_serial_disconnect" },
	{ 0x5878efb1, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0x7d11c268, "jiffies" },
	{ 0xde16a8d8, "dev_set_drvdata" },
	{ 0xf60432b, "_dev_info" },
	{ 0x842ba96e, "usb_string" },
	{ 0xc925e039, "tty_encode_baud_rate" },
	{ 0x409873e3, "tty_termios_baud_rate" },
	{ 0xb817a15c, "tty_get_baud_rate" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x62dc427a, "usb_alloc_urb" },
	{ 0x841ffa38, "release_firmware" },
	{ 0x515315dc, "request_firmware" },
	{ 0x824d52f1, "usb_register_driver" },
	{ 0xc8b69252, "usb_serial_register" },
	{ 0x40fb5737, "dev_warn" },
	{ 0x3d8d18a2, "usb_control_msg" },
	{ 0x9c17951e, "kmem_cache_alloc_trace" },
	{ 0x683c02bc, "malloc_sizes" },
	{ 0x4f86f639, "usb_kill_urb" },
	{ 0x1000e51, "schedule" },
	{ 0x71de9b3f, "_copy_to_user" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x6d8c8c95, "current_task" },
	{ 0x3e892d3e, "usb_free_urb" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x1a676381, "tty_flip_buffer_push" },
	{ 0xed2e8645, "tty_insert_flip_string_fixed_flag" },
	{ 0xccc7ca94, "dev_get_drvdata" },
	{ 0x3366d508, "tty_kref_put" },
	{ 0x15bf76e1, "tty_wakeup" },
	{ 0x82cae3f5, "tty_port_tty_get" },
	{ 0x9d4217af, "dev_err" },
	{ 0xe9cd9dc3, "usb_submit_urb" },
	{ 0x236c8c64, "memcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x55ee178, "dev_printk" },
	{ 0x27e1a049, "printk" },
	{ 0xb4390f9a, "mcount" },
	{ 0x8383c621, "usb_serial_deregister" },
	{ 0x6adaf305, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v1608p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p1403d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p000Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0013d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0014d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1608p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0203d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0310d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0311d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0404p0312d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA758d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA794d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05D9pA225d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "2CB4FB4E90C38FBFABA3B84");
