#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0x8436f8e3, "param_ops_ushort" },
	{ 0xd054e69c, "usb_serial_disconnect" },
	{ 0x5878efb1, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xf59f197, "param_array_ops" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x32ca1047, "usb_reset_device" },
	{ 0x5209fc50, "usb_driver_set_configuration" },
	{ 0x9831e9e4, "__kfifo_alloc" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0xde16a8d8, "dev_set_drvdata" },
	{ 0xe82919cf, "__mutex_init" },
	{ 0x824d52f1, "usb_register_driver" },
	{ 0xc8b69252, "usb_serial_register" },
	{ 0x841ffa38, "release_firmware" },
	{ 0x62b0a6ae, "usb_bulk_msg" },
	{ 0xde0bdcff, "memset" },
	{ 0x236c8c64, "memcpy" },
	{ 0x515315dc, "request_firmware" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x4e174ecd, "usb_clear_halt" },
	{ 0x771e05fc, "mutex_lock_interruptible" },
	{ 0x4f86f639, "usb_kill_urb" },
	{ 0x77e2f33, "_copy_from_user" },
	{ 0xbad7d2da, "interruptible_sleep_on" },
	{ 0x71de9b3f, "_copy_to_user" },
	{ 0xc925e039, "tty_encode_baud_rate" },
	{ 0xb817a15c, "tty_get_baud_rate" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x91c3c7f2, "mutex_unlock" },
	{ 0x7d11c268, "jiffies" },
	{ 0xb3404629, "mutex_lock" },
	{ 0xb89e62ec, "remove_wait_queue" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x78764f4e, "pv_irq_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xda5661a3, "add_wait_queue" },
	{ 0xffd5a395, "default_wake_function" },
	{ 0x6d8c8c95, "current_task" },
	{ 0xf333a2fb, "_raw_spin_lock_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x3d8d18a2, "usb_control_msg" },
	{ 0x9c17951e, "kmem_cache_alloc_trace" },
	{ 0x683c02bc, "malloc_sizes" },
	{ 0xccc7ca94, "dev_get_drvdata" },
	{ 0xed2e8645, "tty_insert_flip_string_fixed_flag" },
	{ 0x1a676381, "tty_flip_buffer_push" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0x9d4217af, "dev_err" },
	{ 0xe9cd9dc3, "usb_submit_urb" },
	{ 0x15bf76e1, "tty_wakeup" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x3366d508, "tty_kref_put" },
	{ 0x82cae3f5, "tty_port_tty_get" },
	{ 0xb4390f9a, "mcount" },
	{ 0x27e1a049, "printk" },
	{ 0x55ee178, "dev_printk" },
	{ 0x8383c621, "usb_serial_deregister" },
	{ 0x6adaf305, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v0451p3410d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451pF430d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF109d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF111d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF114d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF115d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0p0319d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p5052d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p5152d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p505Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p505Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04B3p4543d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04B3p454Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04B3p454Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A61p3410d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p5053d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "F83CEA788CBC9E12E370144");
