#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xde16a8d8, "dev_set_drvdata" },
	{ 0xd62de539, "snd_pcm_period_elapsed" },
	{ 0xaf98324, "usb_init_urb" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xb00f1714, "snd_card_create" },
	{ 0x683c02bc, "malloc_sizes" },
	{ 0x4f86f639, "usb_kill_urb" },
	{ 0xc29957c3, "__x86_indirect_thunk_rcx" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x4ad4d3ca, "snd_rawmidi_set_ops" },
	{ 0x75746432, "snd_card_disconnect" },
	{ 0x66669f81, "snd_rawmidi_new" },
	{ 0xa5684a0a, "input_set_abs_params" },
	{ 0x99e05a98, "input_event" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x72aa82c6, "param_ops_charp" },
	{ 0xb11fa1ce, "strlcat" },
	{ 0x842ba96e, "usb_string" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x6d8c8c95, "current_task" },
	{ 0x6adaf305, "usb_deregister" },
	{ 0x27e1a049, "printk" },
	{ 0xb3a8f9d0, "snd_pcm_set_ops" },
	{ 0x71206082, "usb_set_interface" },
	{ 0xb4390f9a, "mcount" },
	{ 0x672144bd, "strlcpy" },
	{ 0xc30f981f, "snd_pcm_lib_free_pages" },
	{ 0xb0271c15, "snd_pcm_lib_ioctl" },
	{ 0x97d8671, "snd_card_set_id" },
	{ 0x30465d7, "snd_pcm_lib_malloc_pages" },
	{ 0x53654e9e, "__snd_printk" },
	{ 0xe9cd9dc3, "usb_submit_urb" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0x32ca1047, "usb_reset_device" },
	{ 0xe7e1cb22, "input_register_device" },
	{ 0x62b0a6ae, "usb_bulk_msg" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x550a944f, "snd_ctl_new1" },
	{ 0x2e487e87, "input_free_device" },
	{ 0x9c17951e, "kmem_cache_alloc_trace" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x37a0cba, "kfree" },
	{ 0x236c8c64, "memcpy" },
	{ 0x75d52383, "input_unregister_device" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0xf59f197, "param_array_ops" },
	{ 0x824d52f1, "usb_register_driver" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0x395b1c55, "snd_pcm_lib_preallocate_pages_for_all" },
	{ 0xd92b1f8b, "snd_card_free" },
	{ 0x5c172f7a, "snd_card_register" },
	{ 0xa42e0a12, "snd_pcm_limit_hw_rates" },
	{ 0x9edbecae, "snprintf" },
	{ 0x58179e1d, "snd_pcm_new" },
	{ 0x7896965f, "snd_ctl_add" },
	{ 0x880963e8, "snd_rawmidi_transmit" },
	{ 0xccc7ca94, "dev_get_drvdata" },
	{ 0x3e892d3e, "usb_free_urb" },
	{ 0x786e64b0, "snd_rawmidi_receive" },
	{ 0x62dc427a, "usb_alloc_urb" },
	{ 0xee92e941, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,usbcore,snd,snd-rawmidi";

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "480E976AADF05EC8BCE918B");
