#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x71206082, "usb_set_interface" },
	{ 0x824d52f1, "usb_register_driver" },
	{ 0x4f6cc904, "usb_autopm_put_interface" },
	{ 0x67b8b7ef, "usb_autopm_get_interface" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0xe8622347, "kfree_skb" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x81a7bd0f, "skb_queue_tail" },
	{ 0xf1652b7a, "skb_put" },
	{ 0x5d7a3194, "__alloc_skb" },
	{ 0x76a76656, "usb_match_id" },
	{ 0x329eaac1, "hci_register_dev" },
	{ 0xe06b43f4, "usb_driver_claim_interface" },
	{ 0x2df7f427, "usb_ifnum_to_if" },
	{ 0xcc20dd3a, "hci_alloc_dev" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xdd55fe93, "hci_free_dev" },
	{ 0xb63ee056, "usb_driver_release_interface" },
	{ 0xcdf10a7f, "hci_unregister_dev" },
	{ 0xde16a8d8, "dev_set_drvdata" },
	{ 0x88bfa7e, "cancel_work_sync" },
	{ 0xa0db1d8d, "usb_kill_anchored_urbs" },
	{ 0x78764f4e, "pv_irq_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xd0be7365, "usb_scuttle_anchored_urbs" },
	{ 0x45875500, "usb_get_from_anchor" },
	{ 0xf333a2fb, "_raw_spin_lock_irq" },
	{ 0xccc7ca94, "dev_get_drvdata" },
	{ 0xdca967f7, "hci_recv_fragment" },
	{ 0x7d11c268, "jiffies" },
	{ 0x9c17951e, "kmem_cache_alloc_trace" },
	{ 0x683c02bc, "malloc_sizes" },
	{ 0xb624e25c, "usb_unanchor_urb" },
	{ 0x27e1a049, "printk" },
	{ 0x3e892d3e, "usb_free_urb" },
	{ 0xe9cd9dc3, "usb_submit_urb" },
	{ 0x2f134c06, "usb_anchor_urb" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x62dc427a, "usb_alloc_urb" },
	{ 0xf89843f9, "schedule_work" },
	{ 0xb4390f9a, "mcount" },
	{ 0x4588bf0f, "__dynamic_pr_debug" },
	{ 0x6adaf305, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,bluetooth";

MODULE_ALIAS("usb:v*p*d*dcE0dsc01dp01ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp*d*dc*dsc*dp*icFFisc01ip01*");
MODULE_ALIAS("usb:v0A5Cp21E1d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0E8Dp763Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8213d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8215d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8218d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp821Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp8281d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v057Cp3800d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BFp030Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v044Ep3001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v044Ep3002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BDBp1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A5Cp21E3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0C10p0000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0489pE042d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8197d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0489pE033d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A5Cp*d*dc*dsc*dp*icFFisc01ip01*");

MODULE_INFO(srcversion, "1CF67628C7819A6E685F89F");
