#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0xe1d6478, "tpm_store_cancel" },
	{ 0x28a2d166, "tpm_show_caps_1_2" },
	{ 0x3aba46ce, "tpm_show_temp_deactivated" },
	{ 0x7c1a5a49, "tpm_show_owned" },
	{ 0xc819f55e, "tpm_show_active" },
	{ 0x85a4e1ba, "tpm_show_enabled" },
	{ 0xf60f229c, "tpm_show_pcrs" },
	{ 0xce3fff84, "tpm_show_pubek" },
	{ 0xf4fe9504, "tpm_release" },
	{ 0x81f5a6a8, "tpm_open" },
	{ 0x62683720, "tpm_write" },
	{ 0x3bfbfb38, "tpm_read" },
	{ 0x9132bed0, "no_llseek" },
	{ 0x810b3618, "param_ops_string" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x41ff4226, "pnp_register_driver" },
	{ 0x84b10b17, "platform_device_register_resndata" },
	{ 0x3a40fe3a, "platform_driver_register" },
	{ 0xd2b29498, "pnpacpi_protocol" },
	{ 0xa3b0b88, "pnp_get_resource" },
	{ 0x2a467b4e, "tpm_gen_interrupt" },
	{ 0x55ee178, "dev_printk" },
	{ 0xe19b56b, "tpm_get_timeouts" },
	{ 0xd6b8e852, "request_threaded_irq" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0xf60432b, "_dev_info" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x42c8de35, "ioremap_nocache" },
	{ 0x65123ac0, "tpm_register_hardware" },
	{ 0xf1016bb, "pnp_unregister_driver" },
	{ 0xac13e0e5, "platform_driver_unregister" },
	{ 0x40738cd3, "platform_device_unregister" },
	{ 0xf20dabd8, "free_irq" },
	{ 0x1da5bad9, "tpm_remove_hardware" },
	{ 0xedc03953, "iounmap" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x9d4217af, "dev_err" },
	{ 0x837758f0, "tpm_calc_ordinal_duration" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x6d8c8c95, "current_task" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7d11c268, "jiffies" },
	{ 0x727c4f3, "iowrite8" },
	{ 0xf10de535, "ioread8" },
	{ 0x37a0cba, "kfree" },
	{ 0x74fa44f5, "tpm_dev_vendor_release" },
	{ 0x247dd651, "tpm_continue_selftest" },
	{ 0xccc7ca94, "dev_get_drvdata" },
	{ 0xa06837fe, "tpm_pm_suspend" },
	{ 0x61584444, "tpm_pm_resume" },
	{ 0x436c2179, "iowrite32" },
	{ 0xe484e35f, "ioread32" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=tpm";

MODULE_ALIAS("pnp:dPNP0C31*");
MODULE_ALIAS("acpi*:PNP0C31:*");
MODULE_ALIAS("pnp:dATM1200*");
MODULE_ALIAS("acpi*:ATM1200:*");
MODULE_ALIAS("pnp:dIFX0102*");
MODULE_ALIAS("acpi*:IFX0102:*");
MODULE_ALIAS("pnp:dBCM0101*");
MODULE_ALIAS("acpi*:BCM0101:*");
MODULE_ALIAS("pnp:dBCM0102*");
MODULE_ALIAS("acpi*:BCM0102:*");
MODULE_ALIAS("pnp:dNSC1200*");
MODULE_ALIAS("acpi*:NSC1200:*");
MODULE_ALIAS("pnp:dICO0102*");
MODULE_ALIAS("acpi*:ICO0102:*");
MODULE_ALIAS("pnp:d*");
MODULE_ALIAS("acpi*::*");

MODULE_INFO(srcversion, "8A477037C6D80C7A3C04F6E");
