#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0x921a297f, "device_remove_file" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xc996d097, "del_timer" },
	{ 0xde16a8d8, "dev_set_drvdata" },
	{ 0xc93d0a38, "v4l2_i2c_new_subdev" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0x930fe365, "video_device_release" },
	{ 0x683c02bc, "malloc_sizes" },
	{ 0xe766b026, "v4l2_device_unregister" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xf89843f9, "schedule_work" },
	{ 0x4f86f639, "usb_kill_urb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbee1accb, "__video_register_device" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x91c3c7f2, "mutex_unlock" },
	{ 0x999e8297, "vfree" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0x7d11c268, "jiffies" },
	{ 0x1ce7fe3e, "i2c_add_adapter" },
	{ 0x203bc46f, "v4l2_device_register" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x71de9b3f, "_copy_to_user" },
	{ 0x41573782, "v4l2_device_disconnect" },
	{ 0xde0bdcff, "memset" },
	{ 0xbc1c2492, "video_device_alloc" },
	{ 0x9d4217af, "dev_err" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x6d8c8c95, "current_task" },
	{ 0x6adaf305, "usb_deregister" },
	{ 0x771e05fc, "mutex_lock_interruptible" },
	{ 0xe82919cf, "__mutex_init" },
	{ 0x27e1a049, "printk" },
	{ 0x7fc2f764, "video_unregister_device" },
	{ 0x71206082, "usb_set_interface" },
	{ 0xb4390f9a, "mcount" },
	{ 0x3d8d18a2, "usb_control_msg" },
	{ 0x672144bd, "strlcpy" },
	{ 0xb3404629, "mutex_lock" },
	{ 0x8834396c, "mod_timer" },
	{ 0x232553ca, "usb_free_coherent" },
	{ 0xb94b89b2, "vm_insert_page" },
	{ 0x95800cfd, "device_create_file" },
	{ 0x2de95a41, "i2c_del_adapter" },
	{ 0xe9cd9dc3, "usb_submit_urb" },
	{ 0xb9dbda7, "usb_get_dev" },
	{ 0x588987f7, "video_devdata" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x4d5c20bd, "usb_put_dev" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xa0b04675, "vmalloc_32" },
	{ 0xf5ac484e, "v4l2_i2c_subdev_addr" },
	{ 0x9c17951e, "kmem_cache_alloc_trace" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x1d2e87c6, "do_gettimeofday" },
	{ 0x37a0cba, "kfree" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe75663a, "prepare_to_wait" },
	{ 0x824d52f1, "usb_register_driver" },
	{ 0xb00ccc33, "finish_wait" },
	{ 0x9edbecae, "snprintf" },
	{ 0xa4aa9d12, "usb_alloc_coherent" },
	{ 0x31cffb66, "vmalloc_to_page" },
	{ 0xccc7ca94, "dev_get_drvdata" },
	{ 0x3e892d3e, "usb_free_urb" },
	{ 0xea0320d4, "video_ioctl2" },
	{ 0x62dc427a, "usb_alloc_urb" },
	{ 0xe914e41e, "strcpy" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=v4l2-common,videodev,usbcore,i2c-core";

MODULE_ALIAS("usb:v0A6Fp0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp0106d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp0207d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp0208d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0571p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p2000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p2D00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p2D01d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p2101d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p3000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p3001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4450d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4550d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D01d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D03d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D04d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D10d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D12d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D14d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D2Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D2Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D2Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D20d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D21d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D22d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D23d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D24d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D25d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D26d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D27d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D28d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D29d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D30d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D31d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D32d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D34d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D35d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D36d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D37d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0573p4D38d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0768p0006d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D0p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D0p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D0p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D0p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D0p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07F8p9104d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p010Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0109d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0111d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0113d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0210d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0212d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0214d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0300d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0301d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2304p0419d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2400p4200d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "2EF03D4A1500973262BC357");
