#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0xea0320d4, "video_ioctl2" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x3ae22e2b, "videobuf_read_one" },
	{ 0xad51a94f, "videobuf_poll_stream" },
	{ 0xe06be787, "videobuf_mmap_mapper" },
	{ 0x554aff9, "videobuf_queue_vmalloc_init" },
	{ 0x672144bd, "strlcpy" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8d271efc, "videobuf_queue_is_busy" },
	{ 0x3005d8d2, "videobuf_reqbufs" },
	{ 0x7f066b3, "videobuf_querybuf" },
	{ 0x962dab91, "videobuf_qbuf" },
	{ 0x495c194f, "videobuf_dqbuf" },
	{ 0x3899a85a, "videobuf_streamon" },
	{ 0xb8ceb98b, "videobuf_streamoff" },
	{ 0x930fe365, "video_device_release" },
	{ 0xbee1accb, "__video_register_device" },
	{ 0xe82919cf, "__mutex_init" },
	{ 0xbc1c2492, "video_device_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x9c17951e, "kmem_cache_alloc_trace" },
	{ 0x683c02bc, "malloc_sizes" },
	{ 0x824d52f1, "usb_register_driver" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x27b964cb, "videobuf_to_vmalloc" },
	{ 0x1d2e87c6, "do_gettimeofday" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0xe9cd9dc3, "usb_submit_urb" },
	{ 0x62dc427a, "usb_alloc_urb" },
	{ 0xac268acf, "videobuf_iolock" },
	{ 0x1b8718ad, "videobuf_vmalloc_free" },
	{ 0x4c4fef19, "kernel_stack" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9d4217af, "dev_err" },
	{ 0x3d8d18a2, "usb_control_msg" },
	{ 0x236c8c64, "memcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x588987f7, "video_devdata" },
	{ 0xf60432b, "_dev_info" },
	{ 0xde16a8d8, "dev_set_drvdata" },
	{ 0xf008f2af, "videobuf_mmap_free" },
	{ 0xccc7ca94, "dev_get_drvdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x999e8297, "vfree" },
	{ 0x3e892d3e, "usb_free_urb" },
	{ 0x4f86f639, "usb_kill_urb" },
	{ 0x7fc2f764, "video_unregister_device" },
	{ 0x91c3c7f2, "mutex_unlock" },
	{ 0xb3404629, "mutex_lock" },
	{ 0x6adaf305, "usb_deregister" },
	{ 0x27e1a049, "printk" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,videobuf-core,videobuf-vmalloc,usbcore";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "98299773CE5C501094AD563");
