#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0x6de6d949, "usbnet_resume" },
	{ 0x97081bd, "usbnet_suspend" },
	{ 0x11786990, "usbnet_disconnect" },
	{ 0x4a3cd3c, "usbnet_probe" },
	{ 0xcecedf66, "eth_mac_addr" },
	{ 0x4deef575, "usbnet_nway_reset" },
	{ 0x54162f10, "usbnet_set_msglevel" },
	{ 0xe4347653, "usbnet_get_msglevel" },
	{ 0x7fe1e908, "usbnet_set_settings" },
	{ 0x671ecaf4, "usbnet_get_settings" },
	{ 0x119b16db, "usbnet_tx_timeout" },
	{ 0x35d44edb, "usbnet_change_mtu" },
	{ 0x26b8715d, "eth_validate_addr" },
	{ 0xc42ac357, "usbnet_start_xmit" },
	{ 0x3e3aeedd, "usbnet_stop" },
	{ 0x929d0d56, "usbnet_open" },
	{ 0xa1fe1801, "mii_nway_restart" },
	{ 0x5fa0314c, "usbnet_get_endpoints" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x91c3c7f2, "mutex_unlock" },
	{ 0xb3404629, "mutex_lock" },
	{ 0x824d52f1, "usb_register_driver" },
	{ 0x6adaf305, "usb_deregister" },
	{ 0x62f98126, "usbnet_defer_kevent" },
	{ 0x167382bc, "netif_carrier_on" },
	{ 0x8f448205, "netif_carrier_off" },
	{ 0x5142039e, "usbnet_unlink_rx_urbs" },
	{ 0xbcbe3f29, "skb_pull" },
	{ 0x63168532, "usbnet_skb_return" },
	{ 0xfb449ae5, "skb_clone" },
	{ 0xa3a5be95, "memmove" },
	{ 0xf1652b7a, "skb_put" },
	{ 0x76d6bd51, "skb_push" },
	{ 0xa460abd9, "__dev_kfree_skb_any" },
	{ 0x8ebdc379, "skb_copy_expand" },
	{ 0xfaf98462, "bitrev32" },
	{ 0x92ea4ae4, "crc32_le" },
	{ 0x27e1a049, "printk" },
	{ 0x3e892d3e, "usb_free_urb" },
	{ 0xe9cd9dc3, "usb_submit_urb" },
	{ 0x9c17951e, "kmem_cache_alloc_trace" },
	{ 0x683c02bc, "malloc_sizes" },
	{ 0x62dc427a, "usb_alloc_urb" },
	{ 0xe9634f80, "generic_mii_ioctl" },
	{ 0xb10df9f5, "usbnet_get_drvinfo" },
	{ 0x71569068, "mii_link_ok" },
	{ 0x236c8c64, "memcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x81578ff4, "mii_ethtool_gset" },
	{ 0x62a762, "mii_check_media" },
	{ 0x25771940, "netdev_err" },
	{ 0x55ee178, "dev_printk" },
	{ 0x8b7fe311, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x3d8d18a2, "usb_control_msg" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,mii,usbcore";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0056d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "A2AD01FD63A6AC1A0975E1C");
