#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0xf35f654b, "rndis_tx_fixup" },
	{ 0x3d7ee9b6, "rndis_rx_fixup" },
	{ 0x1ccf591c, "rndis_status" },
	{ 0x6de6d949, "usbnet_resume" },
	{ 0x97081bd, "usbnet_suspend" },
	{ 0x11786990, "usbnet_disconnect" },
	{ 0x4a3cd3c, "usbnet_probe" },
	{ 0x119b16db, "usbnet_tx_timeout" },
	{ 0x26b8715d, "eth_validate_addr" },
	{ 0xcecedf66, "eth_mac_addr" },
	{ 0xc42ac357, "usbnet_start_xmit" },
	{ 0x3e3aeedd, "usbnet_stop" },
	{ 0x929d0d56, "usbnet_open" },
	{ 0x810b3618, "param_ops_string" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xcc795906, "cfg80211_disconnected" },
	{ 0x16305289, "warn_slowpath_null" },
	{ 0x898ccdb7, "cfg80211_roamed" },
	{ 0xc30461cf, "cfg80211_ibss_joined" },
	{ 0xfdb7d38a, "cfg80211_connect_result" },
	{ 0x167382bc, "netif_carrier_on" },
	{ 0xa88756a7, "cfg80211_cqm_rssi_notify" },
	{ 0x9c17951e, "kmem_cache_alloc_trace" },
	{ 0x683c02bc, "malloc_sizes" },
	{ 0x3bd1b1f6, "msecs_to_jiffies" },
	{ 0x824d52f1, "usb_register_driver" },
	{ 0x6adaf305, "usb_deregister" },
	{ 0x5dd11b7e, "cfg80211_inform_bss" },
	{ 0xdaeff779, "__ieee80211_get_channel" },
	{ 0x25771940, "netdev_err" },
	{ 0xc3697fb9, "usbnet_resume_rx" },
	{ 0xa8e4b61a, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0x59baffc, "krealloc" },
	{ 0x8f448205, "netif_carrier_off" },
	{ 0x67723678, "wiphy_register" },
	{ 0xa405d7ec, "generic_rndis_bind" },
	{ 0xfb0e29f, "init_timer_key" },
	{ 0x88a193, "__alloc_workqueue_key" },
	{ 0xe82919cf, "__mutex_init" },
	{ 0x2ec00157, "wiphy_new" },
	{ 0xd86eb2c0, "wiphy_free" },
	{ 0x338464e0, "wiphy_unregister" },
	{ 0xeeab1f8d, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x57c4691b, "queue_delayed_work" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x6223cafb, "_raw_spin_unlock_bh" },
	{ 0x87a45ee9, "_raw_spin_lock_bh" },
	{ 0xe97910f3, "cfg80211_scan_done" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x88bfa7e, "cancel_work_sync" },
	{ 0xfb5f846a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0x817022a5, "netdev_warn" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0x25ec1b28, "strlen" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x91c3c7f2, "mutex_unlock" },
	{ 0x8cde28df, "rndis_command" },
	{ 0x236c8c64, "memcpy" },
	{ 0xb3404629, "mutex_lock" },
	{ 0x6b3d9479, "usbnet_pause_rx" },
	{ 0x3cd68c54, "cfg80211_michael_mic_failure" },
	{ 0x94733317, "netdev_info" },
	{ 0x26576139, "queue_work" },
	{ 0x55ee178, "dev_printk" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rndis_host,usbnet,cfg80211,usbcore";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFF*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01*");

MODULE_INFO(srcversion, "92DFDB4CF5284896614EC0D");
