#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2d7492cb, "module_layout" },
	{ 0xb719a489, "usb_serial_suspend" },
	{ 0xd054e69c, "usb_serial_disconnect" },
	{ 0x5878efb1, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x1a676381, "tty_flip_buffer_push" },
	{ 0xed2e8645, "tty_insert_flip_string_fixed_flag" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0x9c17951e, "kmem_cache_alloc_trace" },
	{ 0x683c02bc, "malloc_sizes" },
	{ 0x824d52f1, "usb_register_driver" },
	{ 0xc8b69252, "usb_serial_register" },
	{ 0x71206082, "usb_set_interface" },
	{ 0xde16a8d8, "dev_set_drvdata" },
	{ 0xa0db1d8d, "usb_kill_anchored_urbs" },
	{ 0x4e174ecd, "usb_clear_halt" },
	{ 0x14a4c292, "usb_autopm_get_interface_no_resume" },
	{ 0x4f86f639, "usb_kill_urb" },
	{ 0x78764f4e, "pv_irq_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x45875500, "usb_get_from_anchor" },
	{ 0xf333a2fb, "_raw_spin_lock_irq" },
	{ 0xcb3f1d93, "usb_serial_port_softint" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0xe34b61cf, "usb_autopm_put_interface_async" },
	{ 0xb624e25c, "usb_unanchor_urb" },
	{ 0x2f134c06, "usb_anchor_urb" },
	{ 0x236c8c64, "memcpy" },
	{ 0x4642edb6, "usb_autopm_get_interface_async" },
	{ 0x27e1a049, "printk" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x62dc427a, "usb_alloc_urb" },
	{ 0x3e892d3e, "usb_free_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x30e74134, "tty_termios_copy_hw" },
	{ 0x91c3c7f2, "mutex_unlock" },
	{ 0xb3404629, "mutex_lock" },
	{ 0x4f6cc904, "usb_autopm_put_interface" },
	{ 0x3d8d18a2, "usb_control_msg" },
	{ 0x67b8b7ef, "usb_autopm_get_interface" },
	{ 0x6b569fb5, "usb_serial_resume" },
	{ 0x3366d508, "tty_kref_put" },
	{ 0x6b2bec32, "tty_hangup" },
	{ 0x82cae3f5, "tty_port_tty_get" },
	{ 0x9d4217af, "dev_err" },
	{ 0xe9cd9dc3, "usb_submit_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0xccc7ca94, "dev_get_drvdata" },
	{ 0x55ee178, "dev_printk" },
	{ 0xb4390f9a, "mcount" },
	{ 0x8383c621, "usb_serial_deregister" },
	{ 0x6adaf305, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v0F3Dp0112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p1B1Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p211Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v03F0p1E1Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0218d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0220d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0022d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0224d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0301d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0023d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p0025d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p0026d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0027d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0028d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p0029d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6802d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6803d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6804d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6805d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6808d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6809d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6812d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6813d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6815d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6816d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6820d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6821d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6822d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6832d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6833d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6834d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6835d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6838d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6839d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p683Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6850d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6851d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6852d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6853d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6855d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6856d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6859d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p685Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p6880d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6890d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6891d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6892d*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v1199p6893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p68A2d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*icFFiscFFipFF*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v413Cp8133d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "A253BA718A94C739AD50E09");
